Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.matching
Interface StandardizerAPI

public interface StandardizerAPI

The StandardizerAPI interface enables communication between the eView Studio application and the match engine being used. A custom standardization engine adapter must implement this interface to be used with eView Studio.

Method Summary
`void` | `initialize(StandardizerEngineConfiguration config)` Initializes the standardization engine and the standardization engine adapter once upon startup for each instance of the standardization engine adapter.
`void` | `shutdown()` Shuts down the standardization engine and adapter, and releases any resources associated with the instance.
`SystemObject` | `standardize(SystemObject objToStandardize, SystemObjectStandardization metaData)` Standardizes the field values in the system object for fields that are defined for standardization according to the passed in configuration.

Method Detail

### initialize

    public void initialize(StandardizerEngineConfiguration config)
                    throws StandardizationException

  Initializes the standardization engine and the standardization engine adapter once upon startup for each instance of the standardization engine adapter.

  Parameters:
    `config` - A standardizerEngineConfiguration object containing the configuration of the standardization engine.
  Returns:
    `void` - None.
  Throws:
    `StandardizationException` - Thrown if the initialization fails.

### shutdown

    public void shutdown()
                  throws StandardizationException

  Shuts down the standardization engine and adapter, and releases any resources associated with the instance. Call this once for each instance of the standardization engine adapter.

  Parameters:
    None.
  Returns:
    `void` - None.

  Throws:
    `StandardizationException` - Thrown if the instance fails to shut down.

### standardize

    public SystemObject standardize(SystemObject objToStandardize,
                                    SystemObjectStandardization metaData)
                             throws StandardizationException,
                                    ObjectException

  Standardizes the field values in the system object for fields that are defined for standardization according to the passed in configuration. Use caution with this method because the standardization can be performed directly on the original system object passed in as a parameter.

  Parameters:
    `objToStandardize` - The SystemObject to standardize. Note that this object might be directly modified by the standardization engine.
    `metaData` - The configuration object that defines which fields are standardized.
  Returns:
    `SystemObject` - The system object containing the standardized values. It can be a reference to the same object as was passed in to the method (objToStandardize), but with modified fields.
  Throws:
    `StandardizationException` - Thrown if an error occurs while standardizing the field values.
    `ObjectException` - Thrown if an error occurs while retrieving or setting the configured field values.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.